%{?nodejs_find_provides_and_requires}

Name:           nodejs-once
Version:        1.3.3
Release:        3%{?dist}
Summary:        Run a function exactly one time
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

License:        BSD
URL:            https://github.com/isaacs/once
Source0:        https://registry.npmjs.org/once/-/once-%{version}.tgz

BuildRequires:  nodejs-packaging

%description
Run a function exactly one time.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/once
cp -pr package.json once.js %{buildroot}%{nodejs_sitelib}/once

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/once
%doc README.md
%license LICENSE

%changelog
* Sun Feb 07 2016 Piotr Popieluch <piotr1212@gmail.com> - 1.3.3-3
- cleanup spec

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Jared Smith <jsmith@fedoraproject.org> - 1.3.3-1
- Update to upstream 1.3.3 release

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 1.3.2-1
- Update to upstream 1.3.2 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.1-5
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.1-4
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.1-2
- add missing build section
- sentences end with a period

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.1-1
- initial package generated by npm2rpm
